%define	oname	Soya
%define	tutver	0.14

%define soyadir	%{_builddir}/soya

Name:		soya
Version:	0.15rc1
Release:	%mkrel 23
Summary:	A practical high-level object-oriented 3D engine
License:	GPLv2+
Group:		Development/Python
Url:		http://home.gna.org/oomadness/en/index.html
Source0:	http://download.gna.org/soya/%{oname}-%{version}.tar.bz2
Source1:	http://download.gna.org/soya/%{oname}Tutorial-%{tutver}.tar.bz2
Patch0:		%{oname}-%{version}-svn-fix-compilation.patch
Patch1:		Soya-0.15rc1-ode-2.patch
Patch2:		Soya-0.15rc1-null-characters-world-py.patch
Patch3:		Soya-0.15rc1-deprecated-tostring-call.patch
# pyrex is needed for patch3
BuildRequires:	pythonegg(2)(pyrex)
BuildRequires:	pkgconfig(python2)
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	cal3d-devel
BuildRequires:	mesaglu-devel
BuildRequires:	ode-devel
BuildRequires:	glew-devel
BuildRequires:	freetype2-devel
BuildRequires:	openal-devel
Requires:	editobj2

%description
A practical high-level object-oriented 3D engine.

# (jiba) A separate package for the tutorial
%package	tutorial
Summary:	Tutorial for the Soya 3D engine
License:	GPLv2+
Group:		Development/Python
Requires:	%{name} >= %{version}
Recommends:	blender
Recommends:	python-pillow
Recommends:	cerealizer

%description	tutorial
This is a set of tutorial for Soya.
Soya is a practical high-level object-oriented 3D engine for Python.

%prep
%setup -q -n %{oname}-%{version} -a 1
# The source needs to be in a "soya" dir to prevent this pyrex error:
# Pyrex.Compiler.Errors.CompileError: BUILD/Soya-0.15rc1/_soya.pyx:0:0: 'Soya-0.15rc1._soya' is not a valid module name
rm -rf %{soyadir} && mkdir %{soyadir}
cp -a * %{soyadir}
pushd %{soyadir}
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
rm -rf `find -name CVS` `find -name .cvswrappers`
popd

%build
pushd %{soyadir}
%py2_build
popd

%install
pushd %{soyadir}
%py2_install
popd

%files
%doc README CHANGES AUTHORS
%{_bindir}/%{name}_editor
%{python2_sitearch}/%{name}
%{python2_sitearch}/*.egg-info

%files tutorial
%doc %{oname}Tutorial-%{tutver}/AUTHORS %{oname}Tutorial-%{tutver}/tutorial


%changelog
* Sun Nov 13 2016 akien <akien> 0.15rc1-23.mga6
+ Revision: 1066992
- Rebuild for new libode

* Mon Aug 29 2016 daviddavid <daviddavid> 0.15rc1-22.mga6
+ Revision: 1049406
- add patch3 to fix deprecated python call on tostring() (fixes mga#18471)

* Wed Feb 17 2016 umeabot <umeabot> 0.15rc1-21.mga6
+ Revision: 962884
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 daviddavid <daviddavid> 0.15rc1-20.mga6
+ Revision: 898322
- fix build with newer freetype2 (remove no more needed freetype-2.5.1.patch)
- use new python macros

* Sat Aug 29 2015 daviddavid <daviddavid> 0.15rc1-19.mga6
+ Revision: 870925
- rebuild for GLEW 1.13

* Wed Jun 24 2015 akien <akien> 0.15rc1-18.mga6
+ Revision: 842156
- Rebuild for GLEW 1.12

* Sat Dec 27 2014 akien <akien> 0.15rc1-17.mga5
+ Revision: 806620
- Rebuild for ODE
- Build in a directory named soya to workaround pyrex issue

* Wed Oct 15 2014 umeabot <umeabot> 0.15rc1-16.mga5
+ Revision: 744100
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15rc1-15.mga5
+ Revision: 730170
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15rc1-14.mga5
+ Revision: 689260
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.15rc1-13.mga5
+ Revision: 670281
- rebuild for glew

* Fri Aug 29 2014 fwang <fwang> 0.15rc1-12.mga5
+ Revision: 669213
- fix build with newer freetype2

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.15rc1-10.mga4
+ Revision: 546154
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 0.15rc1-9.mga4
+ Revision: 502227
- add null-characters-world-py.patch

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 04 2013 fwang <fwang> 0.15rc1-7.mga4
+ Revision: 475058
- use single
- define ddouble
- cleanup spec
- rebuild for new ode

* Wed Jul 24 2013 sander85 <sander85> 0.15rc1-6.mga4
+ Revision: 457723
- Rebuild for new glew

* Mon Jan 14 2013 umeabot <umeabot> 0.15rc1-5.mga3
+ Revision: 382402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 0.15rc1-4.mga3
+ Revision: 285625
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 0.15rc1-3.mga3
+ Revision: 151183
- rebuild for new glew

* Tue Jul 12 2011 stormi <stormi> 0.15rc1-2.mga2
+ Revision: 123460
- increase release so that it's higher than in Mageia 1

* Thu Jun 23 2011 zezinho <zezinho> 0.15rc1-1.mga2
+ Revision: 112829
- new version
  upstream patch to build
- imported package soya

